Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.consultrn._1_0.core
Class ObjectFactory

    java.lang.Object
      be.fgov.ehealth.consultrn._1_0.core.ObjectFactory

    public class ObjectFactory

extends Object

This object contains factory methods for each Java content interface and Java element interface generated in the be.fgov.ehealth.consultrn._1_0.core package.

An ObjectFactory allows you to programatically construct new instances of the Java representation for XML content. The Java representation of XML content can consist of schema derived interfaces and classes representing the binding of schema type definitions, element declarations and model groups. Factory methods for each of these are provided in this class.

Constructor Summary
`ObjectFactory()` Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: be.fgov.ehealth.consultrn._1_0.core

Method Summary
`AddressHistoryType` | `createAddressHistoryType()` Create an instance of `AddressHistoryType`
`AddressType` | `createAddressType()` Create an instance of `AddressType`
`BirthDeceaseType` | `createBirthDeceaseType()` Create an instance of `BirthDeceaseType`
`BirthHistoryType` | `createBirthHistoryType()` Create an instance of `BirthHistoryType`
`CivilstateHistoryType` | `createCivilstateHistoryType()` Create an instance of `CivilstateHistoryType`
`CivilStateType` | `createCivilStateType()` Create an instance of `CivilStateType`
`CountryType` | `createCountryType()` Create an instance of `CountryType`
`DeceaseHistoryType` | `createDeceaseHistoryType()` Create an instance of `DeceaseHistoryType`
`EncodedSSINType` | `createEncodedSSINType()` Create an instance of `EncodedSSINType`
`ErrorType` | `createErrorType()` Create an instance of `ErrorType`
`FamilyCompositionHistoryType` | `createFamilyCompositionHistoryType()` Create an instance of `FamilyCompositionHistoryType`
`FamilyCompositionType` | `createFamilyCompositionType()` Create an instance of `FamilyCompositionType`
`FamilyHistoryCompositionType` | `createFamilyHistoryCompositionType()` Create an instance of `FamilyHistoryCompositionType`
`FamilyMemberType` | `createFamilyMemberType()` Create an instance of `FamilyMemberType`
`GenderHistoryType` | `createGenderHistoryType()` Create an instance of `GenderHistoryType`
`GenderType` | `createGenderType()` Create an instance of `GenderType`
`HistoryType` | `createHistoryType()` Create an instance of `HistoryType`
`InformationType` | `createInformationType()` Create an instance of `InformationType`
`InhabitantType` | `createInhabitantType()` Create an instance of `InhabitantType`
`InscriptionType` | `createInscriptionType()` Create an instance of `InscriptionType`
`MunicipalityType` | `createMunicipalityType()` Create an instance of `MunicipalityType`
`NameHistoryType` | `createNameHistoryType()` Create an instance of `NameHistoryType`
`NameType` | `createNameType()` Create an instance of `NameType`
`NationalityHistoryType` | `createNationalityHistoryType()` Create an instance of `NationalityHistoryType`
`NationalityType` | `createNationalityType()` Create an instance of `NationalityType`
`ObtainementReasonType` | `createObtainementReasonType()` Create an instance of `ObtainementReasonType`
`PersonDataType` | `createPersonDataType()` Create an instance of `PersonDataType`
`PersonType` | `createPersonType()` Create an instance of `PersonType`
`PlainAddressType` | `createPlainAddressType()` Create an instance of `PlainAddressType`
`RelationshipType` | `createRelationshipType()` Create an instance of `RelationshipType`
`StandardAddressType` | `createStandardAddressType()` Create an instance of `StandardAddressType`
`StreetType` | `createStreetType()` Create an instance of `StreetType`
`WhereType` | `createWhereType()` Create an instance of `WhereType`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ObjectFactory

    public ObjectFactory()

  Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: be.fgov.ehealth.consultrn._1_0.core

Method Detail

### createPlainAddressType

    public PlainAddressType createPlainAddressType()

  Create an instance of `PlainAddressType`

### createStandardAddressType

    public StandardAddressType createStandardAddressType()

  Create an instance of `StandardAddressType`

### createStreetType

    public StreetType createStreetType()

  Create an instance of `StreetType`

### createCountryType

    public CountryType createCountryType()

  Create an instance of `CountryType`

### createMunicipalityType

    public MunicipalityType createMunicipalityType()

  Create an instance of `MunicipalityType`

### createWhereType

    public WhereType createWhereType()

  Create an instance of `WhereType`

### createAddressType

    public AddressType createAddressType()

  Create an instance of `AddressType`

### createErrorType

    public ErrorType createErrorType()

  Create an instance of `ErrorType`

### createInformationType

    public InformationType createInformationType()

  Create an instance of `InformationType`

### createPersonType

    public PersonType createPersonType()

  Create an instance of `PersonType`

### createNameType

    public NameType createNameType()

  Create an instance of `NameType`

### createInhabitantType

    public InhabitantType createInhabitantType()

  Create an instance of `InhabitantType`

### createPersonDataType

    public PersonDataType createPersonDataType()

  Create an instance of `PersonDataType`

### createFamilyCompositionType

    public FamilyCompositionType createFamilyCompositionType()

  Create an instance of `FamilyCompositionType`

### createFamilyMemberType

    public FamilyMemberType createFamilyMemberType()

  Create an instance of `FamilyMemberType`

### createRelationshipType

    public RelationshipType createRelationshipType()

  Create an instance of `RelationshipType`

### createBirthDeceaseType

    public BirthDeceaseType createBirthDeceaseType()

  Create an instance of `BirthDeceaseType`

### createCivilStateType

    public CivilStateType createCivilStateType()

  Create an instance of `CivilStateType`

### createNationalityType

    public NationalityType createNationalityType()

  Create an instance of `NationalityType`

### createGenderType

    public GenderType createGenderType()

  Create an instance of `GenderType`

### createInscriptionType

    public InscriptionType createInscriptionType()

  Create an instance of `InscriptionType`

### createHistoryType

    public HistoryType createHistoryType()

  Create an instance of `HistoryType`

### createNameHistoryType

    public NameHistoryType createNameHistoryType()

  Create an instance of `NameHistoryType`

### createGenderHistoryType

    public GenderHistoryType createGenderHistoryType()

  Create an instance of `GenderHistoryType`

### createBirthHistoryType

    public BirthHistoryType createBirthHistoryType()

  Create an instance of `BirthHistoryType`

### createCivilstateHistoryType

    public CivilstateHistoryType createCivilstateHistoryType()

  Create an instance of `CivilstateHistoryType`

### createDeceaseHistoryType

    public DeceaseHistoryType createDeceaseHistoryType()

  Create an instance of `DeceaseHistoryType`

### createAddressHistoryType

    public AddressHistoryType createAddressHistoryType()

  Create an instance of `AddressHistoryType`

### createNationalityHistoryType

    public NationalityHistoryType createNationalityHistoryType()

  Create an instance of `NationalityHistoryType`

### createObtainementReasonType

    public ObtainementReasonType createObtainementReasonType()

  Create an instance of `ObtainementReasonType`

### createFamilyHistoryCompositionType

    public FamilyHistoryCompositionType createFamilyHistoryCompositionType()

  Create an instance of `FamilyHistoryCompositionType`

### createFamilyCompositionHistoryType

    public FamilyCompositionHistoryType createFamilyCompositionHistoryType()

  Create an instance of `FamilyCompositionHistoryType`

### createEncodedSSINType

    public EncodedSSINType createEncodedSSINType()

  Create an instance of `EncodedSSINType`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSOCCUPATIONALTHERAPIST 3.18.0 API
Copyright © {inceptionYear}-2019 eHealth. All Rights Reserved.